Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162568 - Squirrelmail 1.4.4 is not compatible with PHP 5.0.4
Summary: Squirrelmail 1.4.4 is not compatible with PHP 5.0.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squirrelmail
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 13:22 UTC by Marcus Valentine
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-22 19:33:01 UTC


Attachments (Terms of Use)

Description Marcus Valentine 2005-07-06 13:22:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
The version of Squirrelmail included with FC4 (1.4.4) is not compatible with the version of PHP included (5.0.4). As a consequence of this, various features of Squirrelmail do not work correctly. Version 1.4.4 of Squirrelmail requires PHP 4.

Reference: http://www.squirrelmail.org/wiki/SquirrelMailRequirements

Version-Release number of selected component (if applicable):
squirrelmail-1.4.4-2

How reproducible:
Always

Steps to Reproduce:

  

Additional info:

Comment 1 Warren Togami 2005-07-07 06:44:07 UTC
Their documentation seems to indicate that the "CVS" which probably means the
1.5.1cvs unstable branch supports PHP5.  Any idea if that is slated to be
released before FC5?  It has been 1.5cvs for more than a year now, maybe two. =(

It is really bad to put that into rawhide now if it wont become a stable release
before FC5.  Unfortunately we have no other options here.

Comment 2 Warren Togami 2005-07-07 06:49:55 UTC
Oh crap, this is FC4.  Bad bad bad...


Comment 3 Warren Togami 2005-08-15 10:26:51 UTC
http://people.redhat.com/wtogami/temp/squirrel/
Please test this RPM here on FC3 or FC4.  Upstream's 1.4.5 release was screwed
and unusable, so I added everything in 1.4.6 CVS to this test package.  This
might actually allow squirrelmail to run on FC4's PHP5 too while solving the
security issues.

I know that more fixes are required before pushing this as a FC3 & FC4 update,
but your testing is required to help me figure out exactly what needs fixing.

Comment 4 Warren Togami 2005-08-22 19:33:01 UTC
The above 1.4.6 CVS snapshot has been pushed in Fedora Updates.  I didn't
actually test PHP5 and nobody reported back success or failure, but considering
this closed.  If you have further problems with PHP5 please complain upstream
and open a bug here only after an upstream fix is available.


Note You need to log in before you can comment on or make changes to this bug.